PlainFormatter (Grails 5.3.2)

Package: org.grails.test.report.junit

## [Java] Class PlainFormatter

- org.grails.test.report.junit.PlainFormatter

-     public class PlainFormatter
      extends org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter

  Sanitises the stack traces generated by tests.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.io.File` | `file` |
    `protected java.lang.String` | `name` |
    `protected java.lang.String` | `systemError` |
    `protected java.lang.String` | `systemOutput` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PlainFormatter (java.lang.String name, java.io.File file)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addError(junit.framework.Test test, java.lang.Throwable throwable)`
    `` | `public void` | `addFailure(junit.framework.Test test, java.lang.Throwable throwable)`
    `` | `public void` | `endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`
    `` | `public void` | `setOutput(java.io.OutputStream out)`
    `` | `public void` | `setSystemError(java.lang.String out)`
    `` | `public void` | `setSystemOutput(java.lang.String out)`
    `` | `protected void` | `writeToFile(java.io.File f, java.lang.String text)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter` | `org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#endTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addError(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setOutput(java.io.OutputStream), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addFailure(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#addFailure(junit.framework.Test, junit.framework.AssertionFailedError), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setSystemOutput(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#setSystemError(java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#formatSkip(junit.framework.Test, java.lang.String), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#testIgnored(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#testAssumptionFailure(junit.framework.Test, java.lang.Throwable), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#startTest(junit.framework.Test), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(long, int), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(long), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#wait(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#equals(java.lang.Object), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#toString(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#hashCode(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#getClass(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#notify(), org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter#notifyAll()`

- - ### Field Detail

    - #### protected java.io.File file

    - #### protected java.lang.String name

    - #### protected java.lang.String systemError

    - #### protected java.lang.String systemOutput

  - ### Constructor Detail

    - #### public PlainFormatter(java.lang.String name, java.io.File file)

  - ### Method Detail

    - #### @java.lang.Override public void addError(junit.framework.Test test, java.lang.Throwable throwable)

    - #### @java.lang.Override public void addFailure(junit.framework.Test test, java.lang.Throwable throwable)

    - #### @java.lang.Override public void endTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

    - #### @java.lang.Override public void setOutput(java.io.OutputStream out)

    - #### @java.lang.Override public void setSystemError(java.lang.String out)

    - #### @java.lang.Override public void setSystemOutput(java.lang.String out)

    - #### protected void writeToFile(java.io.File f, java.lang.String text)